cassandra-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Aleksey Yeschenko (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CASSANDRA-8168) Require Java 8
Date Mon, 11 May 2015 22:27:03 GMT

    [ https://issues.apache.org/jira/browse/CASSANDRA-8168?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14538766#comment-14538766
] 

Aleksey Yeschenko commented on CASSANDRA-8168:
----------------------------------------------

With Java 7 being EOL *already*, an intermediate 2.2 release happening, and a wide consensus
in the mailing list in favor of doing the switch, I'm relabeling the ticket as 3.0beta1.

> Require Java 8
> --------------
>
>                 Key: CASSANDRA-8168
>                 URL: https://issues.apache.org/jira/browse/CASSANDRA-8168
>             Project: Cassandra
>          Issue Type: Task
>            Reporter: T Jake Luciani
>            Assignee: T Jake Luciani
>             Fix For: 3.0 beta 1
>
>
> This is to discuss requiring Java 8 for version >= 3.0  
> There are a couple big reasons for this.
> * Better support for complex async work  e.g (CASSANDRA-5239)    http://docs.oracle.com/javase/8/docs/api/java/util/concurrent/CompletableFuture.html
> * Use Nashorn for Javascript UDFs CASSANDRA-7395



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message